GoboLinux bug tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000388Scripts[Scripts]public2008-12-26 10:312012-06-25 21:06
ReporterBaffo32 
Assigned Tolucasvr 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.9.7 
Target VersionFixed in VersionSVN 
Summary0000388: Rootless: CPPFLAGS/CFLAGS/LDFLAGS not set on Linux
DescriptionThe StartRootless script does not set CPPFLAGS, CFLAGS, or LDFLAGS unless the system is Darwin or Cygwin.

The result is that recipes cannot find libraries they depend on when configuring for compile (in rootless on linux) unless they already exist outside of the rootless installation.

Suggestion for all systems:
export CPPFLAGS="-I${goboPrefix}/System/Links/Headers"
export CFLAGS="${CPPFLAGS}"
export LDFLAGS="-L${goboPrefix}/System/Links/Libraries"
TagsNo tags attached.
Attached Filespatch file icon rootless.patch [^] (3,338 bytes) 2010-04-18 05:48 [Show Content]

- Relationships

-  Notes
(0000980)
415fox (reporter)
2012-06-25 15:38

Seriously, how dead is this project?

Here we have a fix from 2008 that is absolutely essential to bootstrapping a rootless install in 2012 and it is still marked as new even though the solution is present in the problem description.

Where did everyone go who was interested in this? Nix? Gentoo?
(0000981)
Baffo32 (reporter)
2012-06-25 16:59

I don't think anybody has been maintaining the Rootless functionality of Gobolinux for some time. You can read more about this issue at http://thread.gmane.org/gmane.linux.distributions.gobo.devel/3311 [^] and elsewhere in gobolinux-devel . I was going to do some Rootless work when I posted that, but other things ended up occupying my time by the time the discussion started happening.
(0000982)
lucasvr (administrator)
2012-06-25 21:05

Hi, folks. The project is indeed lacking some energy. I've just fixed StartRootless based on the proposed patch. Thanks.
(0000983)
lucasvr (administrator)
2012-06-25 21:06

Checked in a fix based on the proposed patch.

- Issue History
Date Modified Username Field Change
2008-12-26 10:31 Baffo32 New Issue
2010-04-18 05:48 Baffo32 File Added: rootless.patch
2012-06-25 15:38 415fox Note Added: 0000980
2012-06-25 16:59 Baffo32 Note Added: 0000981
2012-06-25 21:05 lucasvr Note Added: 0000982
2012-06-25 21:06 lucasvr Note Added: 0000983
2012-06-25 21:06 lucasvr Status new => resolved
2012-06-25 21:06 lucasvr Fixed in Version => SVN
2012-06-25 21:06 lucasvr Resolution open => fixed
2012-06-25 21:06 lucasvr Assigned To => lucasvr


Copyright © 2000 - 2017 MantisBT Team
GoboLinux Bug Tracker